using System;

namespace Palindrom_safl
{
    class Program
    {
        static void Ispis(int N, int M, int K)
        {
            if (K > N || M < N)
            {
                Console.WriteLine("Nie");
            }
            else
            {
                int K1 = K;
                int br = 1;
                while (M > 0 && N > 0)
                {
                    if (K1 == 0) { K1 = K; br++; }
                    M -= br;
                    K1--; N--;
                }
                if (M < 0) Console.WriteLine("Nie");
                else Console.WriteLine("Tak");
            }
        }
        static void Main(string[] args)
        {
            int T = int.Parse(Console.ReadLine());
            int[,] Tt = new int[T, 3];      
        }
    }
}